public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Orlitzky" <mjo@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: eclass/
Date: Sat,  9 Jul 2016 16:48:09 +0000 (UTC)	[thread overview]
Message-ID: <1468082227.28e082bab8a150597abb570f5a4bead7db0ff601.mjo@gentoo> (raw)

commit:     28e082bab8a150597abb570f5a4bead7db0ff601
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Sat Jul  9 16:37:07 2016 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Sat Jul  9 16:37:07 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=28e082ba

php-ext-source-r3.eclass: new revision supporting EAPI=6.

This is a new revision of the php-ext-source eclass that supports
EAPI=6 (only) and cleans up some of the existing code. The list of
user-facing changes is,

  * Support only EAPI=6.

  * PATCHES array/variable support.

  * DOCS array support (bug 512184).

  * Renamed my_conf and PHPSAPILIST variables.

Some refactoring was done, but not in a way that consumers should
notice. A migration guide can be found on the wiki:

https://wiki.gentoo.org/wiki/Project:PHP/Php-ext-source-r3_migration_guide

In addition, a number of improvements were suggested by Michał Górny
on the gentoo-dev mailing list:

https://archives.gentoo.org/gentoo-dev/message/9159cba2eabceb96d8ae16ced6631f1e

Gentoo-Bug: 512184

 eclass/php-ext-source-r3.eclass | 410 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 410 insertions(+)

diff --git a/eclass/php-ext-source-r3.eclass b/eclass/php-ext-source-r3.eclass
new file mode 100644
index 0000000..3372a4b
--- /dev/null
+++ b/eclass/php-ext-source-r3.eclass
@@ -0,0 +1,410 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# @ECLASS: php-ext-source-r3.eclass
+# @MAINTAINER:
+# Gentoo PHP team <php-bugs@gentoo.org>
+# @BLURB: Compile and install standalone PHP extensions.
+# @DESCRIPTION:
+# A unified interface for compiling and installing standalone PHP
+# extensions.
+
+inherit autotools
+
+EXPORT_FUNCTIONS src_unpack src_prepare src_configure src_compile src_install
+
+case ${EAPI} in
+	6) ;;
+	*)
+		die "${ECLASS} is not compatible with EAPI=${EAPI}"
+esac
+
+# @ECLASS-VARIABLE: PHP_EXT_NAME
+# @REQUIRED
+# @DESCRIPTION:
+# The extension name. This must be set, otherwise the eclass dies.
+# Only automagically set by php-ext-pecl-r3.eclass, so unless your ebuild
+# inherits that eclass, you must set this manually before inherit.
+[[ -z "${PHP_EXT_NAME}" ]] && \
+	die "no extension name specified for the php-ext-source-r3 eclass"
+
+# @ECLASS-VARIABLE: PHP_EXT_INI
+# @DESCRIPTION:
+# Controls whether or not to add a line to php.ini for the extension.
+# Defaults to "yes" and should not be changed in most cases.
+[[ -z "${PHP_EXT_INI}" ]] && PHP_EXT_INI="yes"
+
+# @ECLASS-VARIABLE: PHP_EXT_ZENDEXT
+# @DESCRIPTION:
+# Controls whether the extension is a ZendEngine extension or not.
+# Defaults to "no". If you don't know what this is, you don't need it.
+[[ -z "${PHP_EXT_ZENDEXT}" ]] && PHP_EXT_ZENDEXT="no"
+
+# @ECLASS-VARIABLE: USE_PHP
+# @REQUIRED
+# @DESCRIPTION:
+# Lists the PHP slots compatible the extension is compatible with.
+# Example:
+# @CODE
+# USE_PHP="php5-6 php7-0"
+# @CODE
+[[ -z "${USE_PHP}" ]] && \
+	die "USE_PHP is not set for the php-ext-source-r3 eclass"
+
+# @ECLASS-VARIABLE: PHP_EXT_OPTIONAL_USE
+# @DEFAULT_UNSET
+# @DESCRIPTION:
+# If set, all of the dependencies added by this eclass will be
+# conditional on USE=${PHP_EXT_OPTIONAL_USE}. This is needed when
+# ebuilds have to inherit this eclass unconditionally, but only
+# actually use it when (for example) the user has USE=php.
+
+# @ECLASS-VARIABLE: PHP_EXT_S
+# @DESCRIPTION:
+# The relative location of the temporary build directory for the PHP
+# extension within the source package. This is useful for packages that
+# bundle the PHP extension. Defaults to ${S}.
+[[ -z "${PHP_EXT_S}" ]] && PHP_EXT_S="${S}"
+
+# @ECLASS-VARIABLE: PHP_EXT_SAPIS
+# @DESCRIPTION:
+# A list of SAPIs for which we will install this extension. Formerly
+# called PHPSAPILIST. The default includes every SAPI currently used in
+# the tree.
+[[ -z "${PHP_EXT_SAPIS}" ]] && PHP_EXT_SAPIS="apache2 cli cgi fpm embed phpdbg"
+
+
+# Make sure at least one target is installed. First, start a USE
+# conditional like "php?", but only when PHP_EXT_OPTIONAL_USE is
+# non-null. The option group "|| (..." is always started here.
+REQUIRED_USE="${PHP_EXT_OPTIONAL_USE}${PHP_EXT_OPTIONAL_USE:+? ( }|| ( "
+for _php_target in ${USE_PHP}; do
+	# Now loop through each USE_PHP target and add the corresponding
+	# dev-lang/php slot to PHPDEPEND.
+	IUSE+=" php_targets_${_php_target}"
+	REQUIRED_USE+="php_targets_${_php_target} "
+	_php_slot=${_php_target/php}
+	_php_slot=${_php_slot/-/.}
+	PHPDEPEND+=" php_targets_${_php_target}? ( dev-lang/php:${_php_slot} )"
+done
+
+# Don't pollute the environment with our loop variables.
+unset _php_slot _php_target
+
+# Finally, end the optional group that we started before the loop. Close
+# the USE-conditional if PHP_EXT_OPTIONAL_USE is non-null.
+REQUIRED_USE+=") ${PHP_EXT_OPTIONAL_USE:+ )}"
+
+RDEPEND="${RDEPEND}
+	${PHP_EXT_OPTIONAL_USE}${PHP_EXT_OPTIONAL_USE:+? ( }
+	${PHPDEPEND}
+	${PHP_EXT_OPTIONAL_USE:+ )}"
+
+DEPEND="${DEPEND}
+	sys-devel/m4
+	sys-devel/libtool
+	${PHP_EXT_OPTIONAL_USE}${PHP_EXT_OPTIONAL_USE:+? ( }
+	${PHPDEPEND}
+	${PHP_EXT_OPTIONAL_USE:+ )}
+"
+
+# @ECLASS-VARIABLE: PHP_EXT_SKIP_PHPIZE
+# @DEFAULT_UNSET
+# @DESCRIPTION:
+# By default, we run "phpize" in php-ext-source-r3_src_unpack(). Set
+# PHP_EXT_SKIP_PHPIZE="yes" in your ebuild if you do not want to run
+# phpize (and the autoreconf that becomes necessary afterwards).
+
+# @FUNCTION: php-ext-source-r3_src_unpack
+# @DESCRIPTION:
+# Runs the default src_unpack and then makes a copy for each PHP slot.
+php-ext-source-r3_src_unpack() {
+	default
+
+	local slot orig_s="${PHP_EXT_S}"
+	for slot in $(php_get_slots); do
+		cp --recursive --preserve "${orig_s}" "${WORKDIR}/${slot}" || \
+			die "failed to copy sources from ${orig_s} to ${WORKDIR}/${slot}"
+	done
+}
+
+
+# @FUNCTION: php-ext-source-r3_src_prepare
+# @DESCRIPTION:
+# For each PHP slot, we initialize the environment, run the default
+# src_prepare() for PATCHES/eapply_user support, and then call
+# php-ext-source-r3_phpize.
+php-ext-source-r3_src_prepare() {
+	for slot in $(php_get_slots); do
+		php_init_slot_env "${slot}"
+		default
+		php-ext-source-r3_phpize
+	done
+}
+
+# @FUNCTION: php-ext-source-r3_phpize
+# @DESCRIPTION:
+# Subject to PHP_EXT_SKIP_PHPIZE, this function runs phpize and
+# autoreconf in a manner that avoids warnings.
+php-ext-source-r3_phpize() {
+	if [[ "${PHP_EXT_SKIP_PHPIZE}" != 'yes' ]] ; then
+		# Create configure out of config.m4. We use autotools_run_tool
+		# to avoid some warnings about WANT_AUTOCONF and
+		# WANT_AUTOMAKE (see bugs #329071 and #549268).
+		autotools_run_tool "${PHPIZE}"
+
+		# Force libtoolize to run and regenerate autotools files (bug
+		# #220519).
+		rm aclocal.m4 || die "failed to remove aclocal.m4"
+		eautoreconf
+	fi
+}
+
+
+# @ECLASS-VARIABLE: PHP_EXT_ECONF_ARGS
+# @DEFAULT_UNSET
+# @DESCRIPTION:
+# Set this in the ebuild to pass additional configure options to
+# econf. Formerly called my_conf. Either a string or an array of
+# --flag=value parameters is supported.
+
+# @FUNCTION: php-ext-source-r3_src_configure
+# @DESCRIPTION:
+# Takes care of standard configure for PHP extensions (modules).
+php-ext-source-r3_src_configure() {
+	# net-snmp creates these, bug #385403.
+	addpredict /usr/share/snmp/mibs/.index
+	addpredict /var/lib/net-snmp/mib_indexes
+
+	# Support either a string or an array for PHP_EXT_ECONF_ARGS.
+	local econf_args
+	if [[ $(declare -p PHP_EXT_ECONF_ARGS) == "declare -a"* ]]; then
+		econf_args=( "${PHP_EXT_ECONF_ARGS[@]}" )
+	else
+		econf_args=( ${PHP_EXT_ECONF_ARGS} )
+	fi
+
+	local slot
+	for slot in $(php_get_slots); do
+		php_init_slot_env "${slot}"
+		econf --with-php-config="${PHPCONFIG}" "${econf_args[@]}"
+	done
+}
+
+# @FUNCTION: php-ext-source-r3_src_compile
+# @DESCRIPTION:
+# Compile a standard standalone PHP extension.
+php-ext-source-r3_src_compile() {
+	# net-snmp creates these, bug #324739.
+	addpredict /usr/share/snmp/mibs/.index
+	addpredict /var/lib/net-snmp/mib_indexes
+
+	# shm extension creates a semaphore file, bug #173574.
+	addpredict /session_mm_cli0.sem
+	local slot
+	for slot in $(php_get_slots); do
+		php_init_slot_env "${slot}"
+		emake
+	done
+}
+
+# @FUNCTION: php-ext-source-r3_src_install
+# @DESCRIPTION:
+# Install a standard standalone PHP extension. Uses einstalldocs()
+# to support the DOCS variable/array.
+php-ext-source-r3_src_install() {
+	local slot
+	for slot in $(php_get_slots); do
+		php_init_slot_env "${slot}"
+
+		# Strip $EPREFIX from $EXT_DIR before calling doexe (which
+		# handles EPREFIX itself). Shared libs are +x by convention,
+		# although nothing seems to depend on that.
+		exeinto "${EXT_DIR#$EPREFIX}"
+		doexe "modules/${PHP_EXT_NAME}.so"
+
+		INSTALL_ROOT="${D}" emake install-headers
+	done
+	einstalldocs
+	php-ext-source-r3_createinifiles
+}
+
+# @FUNCTION: php_get_slots
+# @DESCRIPTION:
+# Get a list of PHP slots contained in both the ebuild's USE_PHP and the
+# user's PHP_TARGETS.
+php_get_slots() {
+	local s=""
+	local slot
+	for slot in ${USE_PHP}; do
+		use php_targets_${slot} && s+=" ${slot/-/.}"
+	done
+	echo $s
+}
+
+# @FUNCTION: php_init_slot_env
+# @USAGE: <slot>
+# @DESCRIPTION:
+# Takes a slot name, and initializes some global variables to values
+# corresponding to that slot. For example, it sets the path to the "php"
+# and "phpize" binaries, which will differ for each slot. This function
+# is intended to be called while looping through a list of slots
+# obtained from php_get_slots().
+#
+# Calling this function will change the working directory to the
+# temporary build directory for the given slot.
+php_init_slot_env() {
+	local libdir=$(get_libdir)
+	local slot="${1}"
+
+	PHPPREFIX="${EPREFIX}/usr/${libdir}/${slot}"
+	PHPIZE="${PHPPREFIX}/bin/phpize"
+	PHPCONFIG="${PHPPREFIX}/bin/php-config"
+	PHPCLI="${PHPPREFIX}/bin/php"
+	PHPCGI="${PHPPREFIX}/bin/php-cgi"
+	PHP_PKG="$(best_version =dev-lang/php-${1:3}*)"
+
+	EXT_DIR="$(${PHPCONFIG} --extension-dir 2>/dev/null)"
+	PHP_CURRENTSLOT=${1:3}
+
+	PHP_EXT_S="${WORKDIR}/${slot}"
+	cd "${PHP_EXT_S}" || die "failed to change directory to ${PHP_EXT_S}"
+}
+
+# @FUNCTION: php_slot_ini_files
+# @USAGE: <slot>
+# @INTERNAL
+# @DESCRIPTION:
+# Output a list of relative paths to INI files for the given
+# slot. Usually there will be one INI file per SAPI.
+php_slot_ini_files() {
+	local slot_ini_files=""
+	local x
+	for x in ${PHP_EXT_SAPIS} ; do
+		if [[ -f "${EPREFIX}/etc/php/${x}-${1}/php.ini" ]] ; then
+			slot_ini_files+=" etc/php/${x}-${1}/ext/${PHP_EXT_NAME}.ini"
+		fi
+	done
+
+	echo "${slot_ini_files}"
+}
+
+# @FUNCTION: php-ext-source-r3_createinifiles
+# @DESCRIPTION:
+# Builds INI files for every enabled slot and SAPI.
+php-ext-source-r3_createinifiles() {
+	local slot
+	for slot in $(php_get_slots); do
+		php_init_slot_env "${slot}"
+
+		local file
+		for file in $(php_slot_ini_files "${slot}") ; do
+			if [[ "${PHP_EXT_INI}" = "yes" ]] ; then
+				# Add the needed lines to the <ext>.ini files
+				php-ext-source-r3_addextension "${PHP_EXT_NAME}.so" "${file}"
+			fi
+
+			if [[ -n "${PHP_EXT_INIFILE}" ]] ; then
+				cat "${FILESDIR}/${PHP_EXT_INIFILE}" >> "${ED}/${file}" \
+					|| die "failed to append to ${ED}/${file}"
+
+				einfo "Added contents of ${FILESDIR}/${PHP_EXT_INIFILE}" \
+					  "to ${file}"
+			fi
+			inidir="${file/${PHP_EXT_NAME}.ini/}"
+			inidir="${inidir/ext/ext-active}"
+			dodir "/${inidir}"
+			dosym "/${file}" "/${file/ext/ext-active}"
+		done
+	done
+
+	# A location where PHP code for this extension can be stored,
+	# independent of the PHP or extension versions. This will be part of
+	# PHP's include_path, configured in php.ini. For example, pecl-apcu
+	# installs an "apc.php" file which you are supposed to load with
+	#
+	#   require('apcu/apc.php');
+	#
+	PHP_EXT_SHARED_DIR="${EPREFIX}/usr/share/php/${PHP_EXT_NAME}"
+}
+
+# @FUNCTION: php-ext-source-r3_addextension
+# @USAGE: <extension-path> <ini-file>
+# @INTERNAL
+# @DESCRIPTION:
+# Add a line to an INI file that will enable the given extension. The
+# first parameter is the path to the extension (.so) file, and the
+# second parameter is the name of the INI file in which it should be
+# loaded. This function determines the setting name (either
+# "extension=..." or "zend_extension=...") and then calls
+# php-ext-source-r3_addtoinifile to do the actual work.
+php-ext-source-r3_addextension() {
+	local ext_type="extension"
+	local ext_file="${1}"
+
+	if [[ "${PHP_EXT_ZENDEXT}" = "yes" ]] ; then
+		ext_type="zend_extension"
+		ext_file="${EXT_DIR}/${1}" # Zend extensions need the path...
+	fi
+
+	php-ext-source-r3_addtoinifile "${2}" "${ext_type}" "${ext_file}"
+}
+
+# @FUNCTION: php-ext-source-r3_addtoinifile
+# @USAGE: <relative-ini-path> <setting-or-section-name> [setting-value]
+# @INTERNAL
+# @DESCRIPTION:
+# Add a setting=value to one INI file. The first argument is the
+# relative path to the INI file. The second argument is the setting
+# name, and the third argument is its value.
+#
+# You can also pass "[Section]" as the second parameter, to create a new
+# section in the INI file. In that case, the third parameter (which
+# would otherwise be the value of the setting) is ignored.
+php-ext-source-r3_addtoinifile() {
+	local inifile="${WORKDIR}/${1}"
+	local inidir="${inifile%/*}"
+
+	mkdir -p "${inidir}" || die "failed to create INI directory ${inidir}"
+
+	# Are we adding the name of a section? Assume not by default.
+	local my_added="${2}=${3}"
+	if [[ ${2:0:1} == "[" ]] ; then
+		# Ok, it's a section name.
+		my_added="${2}"
+	fi
+	echo "${my_added}" >> "${inifile}" || die "failed to append to ${inifile}"
+	einfo "Added '${my_added}' to /${1}"
+
+	insinto "/${1%/*}"
+	doins "${inifile}"
+}
+
+# @FUNCTION: php-ext-source-r3_addtoinifiles
+# @USAGE: <setting-or-section-name> [setting-value] [message]
+# @DESCRIPTION:
+# Add settings to every php.ini file installed by this extension.
+# You can also add new [Section]s -- see the example below.
+#
+# @CODE
+# Add some settings for the extension:
+#
+# php-ext-source-r3_addtoinifiles "zend_optimizer.optimization_level" "15"
+# php-ext-source-r3_addtoinifiles "zend_optimizer.enable_loader" "0"
+# php-ext-source-r3_addtoinifiles "zend_optimizer.disable_licensing" "0"
+#
+# Adding values to a section in php.ini file installed by the extension:
+#
+# php-ext-source-r3_addtoinifiles "[Debugger]"
+# php-ext-source-r3_addtoinifiles "debugger.enabled" "on"
+# php-ext-source-r3_addtoinifiles "debugger.profiler_enabled" "on"
+# @CODE
+php-ext-source-r3_addtoinifiles() {
+	local slot
+	for slot in $(php_get_slots); do
+		for file in $(php_slot_ini_files "${slot}") ; do
+			php-ext-source-r3_addtoinifile "${file}" "${1}" "${2}"
+		done
+	done
+}


             reply	other threads:[~2016-07-09 16:48 UTC|newest]

Thread overview: 6332+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-07-09 16:48 Michael Orlitzky [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-10-26  0:41 [gentoo-commits] repo/gentoo:master commit in: eclass/ Marek Szuba
2023-10-26  2:10 Michał Górny
2023-10-26 16:48 Sam James
2023-10-26 21:55 Sam James
2023-10-27  3:33 Sam James
2023-10-29  3:53 Sam James
2023-10-30 18:55 Mike Gilbert
2023-10-31 19:55 Mike Gilbert
2023-11-01  8:11 Ionen Wolkens
2023-11-04 17:51 Mike Gilbert
2023-11-07  5:29 Michał Górny
2023-11-07  5:29 Michał Górny
2023-11-07  5:29 Michał Górny
2023-11-07  5:29 Michał Górny
2023-11-08  1:50 Sam James
2023-11-08  7:39 Ulrich Müller
2023-11-09  2:00 Sam James
2023-11-10 10:33 Michał Górny
2023-11-10 12:17 Andrew Ammerlaan
2023-11-10 12:17 Andrew Ammerlaan
2023-11-10 16:20 Pacho Ramos
2023-11-11 10:36 Michał Górny
2023-11-11 20:23 Michał Górny
2023-11-13 17:33 Maciej Barć
2023-11-13 17:33 Maciej Barć
2023-11-13 17:33 Maciej Barć
2023-11-13 21:11 Andreas Sturmlechner
2023-11-13 22:15 James Le Cuirot
2023-11-14 14:11 Florian Schmaus
2023-11-18  9:19 Andrew Ammerlaan
2023-11-18  9:19 Andrew Ammerlaan
2023-11-19 11:10 Michał Górny
2023-11-19 16:01 Michał Górny
2023-11-19 16:01 Michał Górny
2023-11-19 16:01 Michał Górny
2023-11-20 23:27 James Le Cuirot
2023-11-20 23:27 James Le Cuirot
2023-11-20 23:27 James Le Cuirot
2023-11-20 23:27 James Le Cuirot
2023-11-21 20:43 Sam James
2023-11-21 20:51 Sam James
2023-11-22  0:00 Sam James
2023-11-22  0:00 Sam James
2023-11-22  0:00 Sam James
2023-11-23 15:02 Michał Górny
2023-11-24 16:26 Sam James
2023-11-24 16:26 Sam James
2023-11-24 17:17 Sam James
2023-11-24 18:35 Sam James
2023-11-24 18:35 Sam James
2023-11-25 11:21 Michał Górny
2023-11-25 23:34 Andreas Sturmlechner
2023-11-25 23:34 Andreas Sturmlechner
2023-11-25 23:34 Andreas Sturmlechner
2023-11-25 23:34 Andreas Sturmlechner
2023-11-25 23:34 Andreas Sturmlechner
2023-11-25 23:34 Andreas Sturmlechner
2023-11-26  8:06 Andrew Ammerlaan
2023-11-26 18:34 Sam James
2023-11-26 18:51 Andrew Ammerlaan
2023-11-27 11:13 Sam James
2023-11-29 15:15 Michał Górny
2023-12-04  7:32 Sam James
2023-12-05 10:27 Andrew Ammerlaan
2023-12-07 13:01 Sam James
2023-12-08 17:03 Ulrich Müller
2023-12-08 17:03 Ulrich Müller
2023-12-09 10:01 Ulrich Müller
2023-12-09 10:01 Ulrich Müller
2023-12-09 10:01 Ulrich Müller
2023-12-09 10:01 Ulrich Müller
2023-12-09 10:32 Michał Górny
2023-12-09 18:16 Michał Górny
2023-12-11  7:31 Ulrich Müller
2023-12-11  7:31 Ulrich Müller
2023-12-11  7:31 Ulrich Müller
2023-12-11  7:31 Ulrich Müller
2023-12-11  7:31 Ulrich Müller
2023-12-11 12:41 Andrew Ammerlaan
2023-12-11 12:41 Andrew Ammerlaan
2023-12-12 13:04 Andreas Sturmlechner
2023-12-14  5:22 Sam James
2023-12-14  5:22 Sam James
2023-12-14  5:22 Sam James
2023-12-14  5:22 Sam James
2023-12-14  5:25 Sam James
2023-12-14  5:35 Sam James
2023-12-14 15:02 Benda XU
2023-12-15  6:52 Sam James
2023-12-15 17:51 Michał Górny
2023-12-17 11:23 Michał Górny
2023-12-18 17:21 WANG Xuerui
2023-12-18 17:21 WANG Xuerui
2023-12-18 17:21 WANG Xuerui
2023-12-19 20:33 Ionen Wolkens
2023-12-20 13:41 Sam James
2023-12-21 16:41 Andreas Sturmlechner
2023-12-21 16:41 Andreas Sturmlechner
2023-12-22 16:44 Michał Górny
2023-12-23 17:35 Michał Górny
2023-12-23 18:12 Sam James
2023-12-24 11:46 Andrew Ammerlaan
2023-12-24 12:35 Andrew Ammerlaan
2023-12-25  9:02 Hans de Graaff
2023-12-25 15:47 Michał Górny
2023-12-25 15:47 Michał Górny
2023-12-25 15:47 Michał Górny
2023-12-26 14:02 Michał Górny
2023-12-27 20:57 Sam James
2023-12-27 20:57 Sam James
2023-12-27 20:57 Sam James
2023-12-27 20:57 Sam James
2023-12-27 20:57 Sam James
2023-12-28  6:29 Ionen Wolkens
2023-12-28 15:06 Michał Górny
2023-12-30 15:34 Ulrich Müller
2023-12-30 15:34 Ulrich Müller
2023-12-30 16:20 Michał Górny
2023-12-30 16:20 Michał Górny
2023-12-30 16:20 Michał Górny
2023-12-30 16:20 Michał Górny
2023-12-30 16:20 Michał Górny
2023-12-30 16:20 Michał Górny
2024-01-03  6:20 Sam James
2024-01-03  9:35 Ionen Wolkens
2024-01-03 10:44 Sam James
2024-01-05 10:54 Michał Górny
2024-01-05 20:19 Michał Górny
2024-01-05 20:19 Michał Górny
2024-01-05 20:19 Michał Górny
2024-01-06 21:52 Michał Górny
2024-01-07 11:38 Michał Górny
2024-01-07 17:29 Andrew Ammerlaan
2024-01-07 17:29 Andrew Ammerlaan
2024-01-08  9:48 Sam James
2024-01-08  9:48 Sam James
2024-01-08 12:03 Sam James
2024-01-08 12:03 Sam James
2024-01-08 12:03 Sam James
2024-01-08 12:28 Sam James
2024-01-08 12:28 Sam James
2024-01-08 12:29 Sam James
2024-01-08 14:48 Michał Górny
2024-01-08 14:48 Michał Górny
2024-01-08 21:09 Ionen Wolkens
2024-01-08 23:53 Sam James
2024-01-09  6:41 Michał Górny
2024-01-10 11:01 Andreas Sturmlechner
2024-01-10 11:01 Andreas Sturmlechner
2024-01-10 11:01 Andreas Sturmlechner
2024-01-11  9:48 Miroslav Šulc
2024-01-11  9:48 Miroslav Šulc
2024-01-11  9:48 Miroslav Šulc
2024-01-11 17:50 William Hubbs
2024-01-12 11:08 Sam James
2024-01-12 11:36 Andrew Ammerlaan
2024-01-12 11:46 Sam James
2024-01-12 11:46 Sam James
2024-01-13 17:49 Michał Górny
2024-01-13 17:49 Michał Górny
2024-01-16  9:02 Andrew Ammerlaan
2024-01-17  7:41 Michał Górny
2024-01-19  9:51 罗百科
2024-01-19 12:44 Miroslav Šulc
2024-01-19 12:44 Miroslav Šulc
2024-01-19 12:44 Miroslav Šulc
2024-01-20 10:09 Florian Schmaus
2024-01-20 21:22 Conrad Kostecki
2024-01-22 11:29 Michael Orlitzky
2024-01-22 11:29 Michael Orlitzky
2024-01-22 11:29 Michael Orlitzky
2024-01-22 11:29 Michael Orlitzky
2024-01-22 11:29 Michael Orlitzky
2024-01-22 11:29 Michael Orlitzky
2024-01-22 11:29 Michael Orlitzky
2024-01-22 11:29 Michael Orlitzky
2024-01-22 11:29 Michael Orlitzky
2024-01-22 11:29 Michael Orlitzky
2024-01-22 11:29 Michael Orlitzky
2024-01-23  5:32 Sam James
2024-01-23  6:00 Sam James
2024-01-23  6:00 Sam James
2024-01-24 11:44 Michał Górny
2024-01-24 14:35 Andrew Ammerlaan
2024-01-24 15:57 Michael Orlitzky
2024-01-27 17:18 Sam James
2024-01-27 20:33 Michał Górny
2024-01-30 11:09 Andrew Ammerlaan
2024-01-30 11:28 Florian Schmaus
2024-01-30 21:21 Michał Górny
2024-01-31 13:59 Michał Górny
2024-02-01 19:22 Sam James
2024-02-01 23:52 Sam James
2024-02-01 23:52 Sam James
2024-02-02  6:28 Andrew Ammerlaan
2024-02-03 14:07 Sam James
2024-02-05  0:20 Sam James
2024-02-06  3:07 Michał Górny
2024-02-06  3:07 Michał Górny
2024-02-07 15:10 Andreas Sturmlechner
2024-02-10 16:24 Maciej Barć
2024-02-10 16:24 Maciej Barć
2024-02-10 16:24 Maciej Barć
2024-02-10 16:24 Maciej Barć
2024-02-10 16:24 Maciej Barć
2024-02-10 16:24 Maciej Barć
2024-02-10 16:24 Maciej Barć
2024-02-10 17:27 Michał Górny
2024-02-11 12:11 Andrew Ammerlaan
2024-02-11 12:11 Andrew Ammerlaan
2024-02-11 12:11 Andrew Ammerlaan
2024-02-12 16:25 Sam James
2024-02-18 13:23 Michał Górny
2024-02-18 13:23 Michał Górny
2024-02-18 13:23 Michał Górny
2024-02-18 13:23 Michał Górny
2024-02-18 20:22 Michał Górny
2024-02-19  5:06 Sam James
2024-02-19  5:08 Sam James
2024-02-22  4:23 Michał Górny
2024-02-23  7:46 Sam James
2024-02-24 12:57 Jakov Smolić
2024-02-24 14:54 Michał Górny
2024-02-27 23:54 Sam James
2024-02-27 23:54 Sam James
2024-02-28 13:56 Andreas Sturmlechner
2024-02-28 13:56 Andreas Sturmlechner
2024-02-28 20:40 Michał Górny
2024-03-01 19:25 Sam James
2024-03-01 19:25 Sam James
2024-03-01 19:25 Sam James
2024-03-01 20:50 Sam James
2024-03-02 13:24 Michał Górny
2024-03-06 17:03 Michał Górny
2024-03-07 18:04 Sam James
2024-03-08  5:40 Michał Górny
2024-03-08  5:40 Michał Górny
2024-03-08  5:40 Michał Górny
2024-03-08  5:40 Michał Górny
2024-03-08  5:40 Michał Górny
2024-03-08  5:40 Michał Górny
2024-03-08  5:40 Michał Górny
2024-03-09 15:52 Michał Górny
2024-03-10 21:10 Miroslav Šulc
2024-03-10 21:10 Miroslav Šulc
2024-03-11 19:20 Sam James
2024-03-11 23:05 Andreas K. Hüttel
2024-03-12  0:34 Mike Gilbert
2024-03-12  0:38 Mike Gilbert
2024-03-12  5:13 Michał Górny
2024-03-15 20:45 Sam James
2024-03-16  4:44 Sam James
2024-03-16  4:44 Sam James
2024-03-16 16:25 Michał Górny
2024-03-17  9:18 Andreas K. Hüttel
2024-03-18 13:02 Sam James
2024-03-19 14:12 Florian Schmaus
2024-03-23  8:28 Arthur Zamarin
2024-03-23  8:28 Arthur Zamarin
2024-03-23 10:25 Michał Górny
2024-03-23 14:35 Arthur Zamarin
2024-03-23 14:49 Sam James
2024-03-23 14:49 Sam James
2024-03-23 14:52 Sam James
2024-03-23 15:42 Sam James
2024-03-23 15:42 Sam James
2024-03-23 15:42 Sam James
2024-03-23 15:42 Sam James
2024-03-23 15:43 Sam James
2024-03-23 15:43 Sam James
2024-03-23 16:05 Sam James
2024-03-23 17:03 Michał Górny
2024-03-23 17:04 Sam James
2024-03-23 19:01 Sam James
2024-03-23 20:19 Sam James
2024-03-24  9:09 Sam James
2024-03-24  9:32 Sam James
2024-03-24 14:05 Sam James
2024-03-24 17:47 Sam James
2024-03-29 18:47 Sam James
2024-03-30 10:27 Michał Górny
2024-04-01  9:40 Michał Górny
2024-04-01  9:40 Michał Górny
2024-04-01  9:40 Michał Górny
2024-04-01  9:40 Michał Górny
2024-04-01  9:40 Michał Górny
2024-04-01  9:40 Michał Górny
2024-04-01  9:40 Michał Górny
2024-04-01  9:40 Michał Górny
2024-04-01  9:40 Michał Górny
2024-04-03 17:38 Florian Schmaus
2024-04-03 17:38 Florian Schmaus
2024-04-04  1:07 Sam James
2024-04-04  1:07 Sam James
2024-04-04  8:18 Florian Schmaus
2024-04-04 17:33 Ulrich Müller
2024-04-04 17:33 Ulrich Müller
2024-04-05  9:45 Hans de Graaff
2024-04-05 16:06 Florian Schmaus
2024-04-06  9:13 Michał Górny
2024-04-06 13:44 Michał Górny
2024-04-08  7:15 Miroslav Šulc
2024-04-09 20:17 Ulrich Müller
2024-04-10  8:11 Miroslav Šulc
2024-04-10 11:10 Michał Górny
2024-04-10 17:56 Ulrich Müller
2024-04-11  7:48 Miroslav Šulc
2024-04-13 18:32 Ulrich Müller
2024-04-13 18:41 Sam James
2024-04-13 20:03 Miroslav Šulc
2024-04-16  1:40 Sam James
2024-04-16  1:40 Sam James
2024-04-16  1:40 Sam James
2024-04-17 23:34 Sam James
2024-04-19 18:46 Michał Górny
2024-04-19 18:46 Michał Górny
2024-04-19 23:11 Mike Gilbert
2024-04-20  5:40 Michał Górny
2024-04-20  9:41 Michał Górny
2024-04-20 14:20 Ionen Wolkens
2024-04-20 14:20 Ionen Wolkens
2024-04-22  3:14 Sam James
2024-04-23 21:43 Sam James
2024-04-25 20:43 Andreas Sturmlechner
2024-04-25 20:43 Andreas Sturmlechner
2024-04-27 10:42 Michał Górny
2024-04-28  9:47 Hans de Graaff
2024-04-28 15:54 Michał Górny
2024-04-29 17:31 Florian Schmaus
2024-04-30  5:58 Sam James
2024-04-30 18:34 Michał Górny
2024-04-30 18:34 Michał Górny
2024-04-30 19:19 Alfredo Tupone
2024-04-30 19:25 Alfredo Tupone
2024-05-01  0:27 Sam James
2024-05-01  0:27 Sam James
2024-05-01  3:02 Sam James
2024-05-02  0:24 Sam James
2024-05-02 17:44 Florian Schmaus
2024-05-03  2:48 Sam James
2024-05-03  2:48 Sam James
2024-05-03 11:43 Sam James
2024-05-03 11:43 Sam James
2024-05-03 11:43 Sam James
2024-05-04 19:57 Michał Górny
2024-05-04 19:57 Michał Górny
2024-05-06  4:39 Sam James
2024-05-06 17:11 Ionen Wolkens
2024-05-06 17:28 Ulrich Müller
2024-05-06 17:28 Ulrich Müller
2024-05-07  7:57 Andreas K. Hüttel
2024-05-08  8:06 Ulrich Müller
2024-05-09 19:54 Conrad Kostecki
2024-05-09 19:54 Conrad Kostecki
2024-05-10 17:28 Sam James
2024-05-10 17:28 Sam James
2024-05-10 17:28 Sam James
2024-05-10 17:28 Sam James
2024-05-10 17:28 Sam James
2024-05-11  0:55 Sam James
2024-05-11  1:58 Sam James
2024-05-11  6:21 Hans de Graaff
2024-05-11  6:44 Joonas Niilola
2024-05-11 13:39 Michał Górny
2024-05-12  4:51 Sam James
2024-05-13  7:07 Miroslav Šulc
2024-05-13  8:35 Florian Schmaus
2024-05-13 13:22 Michael Orlitzky
2024-05-13 13:22 Michael Orlitzky
2024-05-13 13:22 Michael Orlitzky
2024-05-13 13:22 Michael Orlitzky
2024-05-13 21:53 Sam James
2024-05-14  8:20 Florian Schmaus
2024-05-14  9:19 Florian Schmaus
2024-05-15 14:20 Michał Górny
2024-05-15 18:02 Michał Górny
2024-05-17  6:25 Michał Górny
2024-05-17 12:07 Andrew Ammerlaan
2024-05-17 12:07 Andrew Ammerlaan
2024-05-17 12:07 Andrew Ammerlaan
2024-05-17 23:05 Ionen Wolkens
2024-05-17 23:05 Ionen Wolkens
2024-05-18  3:50 Benda XU
2024-05-18 13:25 Michał Górny
2024-05-20 17:02 Michał Górny
2024-05-20 17:02 Michał Górny
2024-05-20 17:02 Michał Górny
2024-05-20 17:02 Michał Górny
2024-05-20 17:02 Michał Górny
2024-05-20 17:02 Michał Górny
2024-05-20 17:02 Michał Górny
2024-05-20 17:02 Michał Górny
2024-05-21  8:58 Florian Schmaus
2024-05-21  8:58 Florian Schmaus
2024-05-21  8:58 Florian Schmaus
2024-05-22  1:44 Sam James
2024-05-25  5:55 Sam James
2024-05-25  8:35 Michał Górny
2024-05-26  8:18 Miroslav Šulc
2024-05-31 12:42 Michał Górny
2024-06-01  6:19 Hans de Graaff
2024-06-01  6:19 Hans de Graaff
2024-06-01  6:19 Hans de Graaff
2024-06-01 21:11 Alfredo Tupone
2024-06-01 21:34 Alfredo Tupone
2024-06-02  8:22 Ionen Wolkens
2024-06-06 20:37 Mike Gilbert
2024-06-08  3:53 Ulrich Müller
2024-06-08  3:53 Ulrich Müller
2024-06-08 10:29 Michał Górny
2024-06-08 15:47 Michał Górny
2024-06-10 12:46 Joonas Niilola
2024-06-10 14:23 Ulrich Müller
2024-06-10 14:23 Ulrich Müller
2024-06-12 10:24 Arthur Zamarin
2024-06-12 13:20 James Le Cuirot
2024-06-12 13:20 James Le Cuirot
2024-06-12 14:27 Patrick Lauer
2024-06-12 16:36 Patrick Lauer
2024-06-12 17:13 James Le Cuirot
2024-06-13 13:21 Miroslav Šulc
2024-06-13 18:35 Ulrich Müller
2024-06-13 18:35 Ulrich Müller
2024-06-13 20:43 Andreas Sturmlechner
2024-06-14 10:00 Miroslav Šulc
2024-06-14 10:00 Miroslav Šulc
2024-06-14 10:00 Miroslav Šulc
2024-06-14 10:00 Miroslav Šulc
2024-06-14 10:00 Miroslav Šulc
2024-06-14 12:19 Miroslav Šulc
2024-06-14 12:26 Michał Górny
2024-06-14 12:26 Michał Górny
2024-06-14 12:26 Michał Górny
2024-06-14 12:26 Michał Górny
2024-06-14 12:26 Michał Górny
2024-06-14 12:26 Michał Górny
2024-06-14 12:26 Michał Górny
2024-06-14 12:26 Michał Górny
2024-06-15  7:58 Sam James
2024-06-15 11:01 Michał Górny
2024-06-17  0:53 Sam James
2024-06-17  9:39 James Le Cuirot
2024-06-17 17:13 Andreas Sturmlechner
2024-06-19  3:16 Andreas K. Hüttel
2024-06-20  7:29 Florian Schmaus
2024-06-20  7:29 Florian Schmaus
2024-06-20  9:57 Sam James
2024-06-23  1:00 Ionen Wolkens
2024-06-23 17:33 Michał Górny
2024-06-24 11:58 Ulrich Müller
2024-06-26  6:24 Florian Schmaus
2024-06-27  7:33 Andrew Ammerlaan
2024-06-28  8:23 Miroslav Šulc
2024-06-29  8:39 Andrew Ammerlaan
2024-06-29  8:39 Andrew Ammerlaan
2024-06-29  8:39 Andrew Ammerlaan
2024-06-30 18:27 Sam James
2024-07-02 17:49 Sam James
2024-07-03  0:54 Sam James
2024-07-03  0:59 Sam James
2024-07-03  5:30 Joonas Niilola
2024-07-05 11:03 Arthur Zamarin
2024-07-05 11:03 Arthur Zamarin
2024-07-05 11:03 Arthur Zamarin
2024-07-05 20:50 Luca Barbato
2024-07-06 11:19 Michał Górny
2024-07-07  6:45 Matthew Smith
2024-07-08 10:03 Ulrich Müller
2024-07-08 10:03 Ulrich Müller
2024-07-08 10:03 Ulrich Müller
2024-07-08 10:03 Ulrich Müller
2024-07-09 16:44 Ulrich Müller
2024-07-11 14:35 Michał Górny
2024-07-11 20:54 Ulrich Müller
2024-07-11 20:54 Ulrich Müller
2024-07-12  6:27 Sam James
2024-07-12  7:38 Sam James
2024-07-12 17:43 Ulrich Müller
2024-07-13  7:46 Michał Górny
2024-07-13 14:14 Michał Górny
2024-07-14 17:45 Florian Schmaus
2024-07-14 17:45 Florian Schmaus
2024-07-15  7:17 David Seifert
2024-07-15  7:17 David Seifert
2024-07-15  7:17 David Seifert
2024-07-15 19:18 Andrew Ammerlaan
2024-07-15 19:18 Andrew Ammerlaan
2024-07-15 19:18 Andrew Ammerlaan
2024-07-15 19:18 Andrew Ammerlaan
2024-07-15 19:18 Andrew Ammerlaan
2024-07-16  9:16 James Le Cuirot
2024-07-16  9:16 James Le Cuirot
2024-07-16  9:16 James Le Cuirot
2024-07-16  9:16 James Le Cuirot
2024-07-16  9:16 James Le Cuirot
2024-07-16  9:16 James Le Cuirot
2024-07-16  9:16 James Le Cuirot
2024-07-18 16:15 Michał Górny
2024-07-20 12:09 Ulrich Müller
2024-07-21 13:31 Andrew Ammerlaan
2024-07-21 13:31 Andrew Ammerlaan
2024-07-21 13:31 Andrew Ammerlaan
2024-07-21 15:14 Andrew Ammerlaan
2024-07-21 15:45 Andrew Ammerlaan
2024-07-22 15:09 Michał Górny
2024-07-22 15:09 Michał Górny
2024-07-22 15:09 Michał Górny
2024-07-23 10:03 Miroslav Šulc
2024-07-23 14:07 Michał Górny
2024-07-23 14:07 Michał Górny
2024-07-23 14:07 Michał Górny
2024-07-23 14:13 Michał Górny
2024-07-24  8:58 Florian Schmaus
2024-07-24  8:58 Florian Schmaus
2024-07-24 17:18 Andrew Ammerlaan
2024-07-24 17:18 Andrew Ammerlaan
2024-07-24 17:18 Andrew Ammerlaan
2024-07-26  9:00 Miroslav Šulc
2024-07-26 17:18 Ulrich Müller
2024-07-27  7:27 Michał Górny
2024-07-27 22:00 Andrew Ammerlaan
2024-07-28 17:40 Florian Schmaus
2024-07-31  0:02 Sam James
2024-08-01  7:32 Miroslav Šulc
2024-08-01 20:20 Michał Górny
2024-08-04  7:27 Sam James
2024-08-04  7:30 Andrew Ammerlaan
2024-08-04  8:28 Sam James
2024-08-06  1:46 Sam James
2024-08-06  8:47 Michał Górny
2024-08-06  8:47 Michał Górny
2024-08-06  8:47 Michał Górny
2024-08-06  8:47 Michał Górny
2024-08-06  8:47 Michał Górny
2024-08-06  8:47 Michał Górny
2024-08-06  8:47 Michał Górny
2024-08-06  8:47 Michał Górny
2024-08-06  8:47 Michał Górny
2024-08-06  8:47 Michał Górny
2024-08-06  8:47 Michał Górny
2024-08-06  8:47 Michał Górny
2024-08-06 16:39 Florian Schmaus
2024-08-07  3:03 Sam James
2024-08-07  8:58 Andrew Ammerlaan
2024-08-07  8:58 Andrew Ammerlaan
2024-08-07  9:21 Sam James
2024-08-07  9:25 Sam James
2024-08-07  9:41 Sam James
2024-08-07 15:13 Sam James
2024-08-08  9:00 James Le Cuirot
2024-08-08 10:05 Sam James
2024-08-08 10:30 Sam James
2024-08-08 10:30 Sam James
2024-08-08 10:49 Sam James
2024-08-08 14:38 James Le Cuirot
2024-08-08 16:46 Andrew Ammerlaan
2024-08-08 19:26 Michał Górny
2024-08-09 11:39 Sam James
2024-08-09 11:50 Sam James
2024-08-09 14:30 Sam James
2024-08-09 15:50 Andrew Ammerlaan
2024-08-10 14:06 Fabian Groffen
2024-08-10 17:24 Sam James
2024-08-11 20:56 Sam James
2024-08-12  1:19 Sam James
2024-08-12  1:19 Sam James
2024-08-12  1:19 Sam James
2024-08-12  1:19 Sam James
2024-08-12 19:02 Ulrich Müller
2024-08-12 19:02 Ulrich Müller
2024-08-15 17:48 Andreas Sturmlechner
2024-08-15 17:48 Andreas Sturmlechner
2024-08-15 17:48 Andreas Sturmlechner
2024-08-15 17:48 Andreas Sturmlechner
2024-08-15 17:48 Andreas Sturmlechner
2024-08-15 17:48 Andreas Sturmlechner
2024-08-15 17:48 Andreas Sturmlechner
2024-08-15 17:48 Andreas Sturmlechner
2024-08-15 20:01 Michał Górny
2024-08-15 21:18 Sam James
2024-08-15 21:24 Sam James
2024-08-16  5:55 Arthur Zamarin
2024-08-16 10:15 Arthur Zamarin
2024-08-16 17:21 Sam James
2024-08-16 17:21 Sam James
2024-08-16 17:21 Sam James
2024-08-16 17:21 Sam James
2024-08-16 17:21 Sam James
2024-08-16 17:21 Sam James
2024-08-16 17:21 Sam James
2024-08-16 17:21 Sam James
2024-08-18 17:44 Arsen Arsenović
2024-08-18 17:44 Arsen Arsenović
2024-08-18 17:44 Arsen Arsenović
2024-08-19  6:02 Viorel Munteanu
2024-08-19 18:17 Robin H. Johnson
2024-08-20 20:07 Mike Gilbert
2024-08-20 20:17 Mike Gilbert
2024-08-21 21:51 Andreas Sturmlechner
2024-08-22 11:23 Michał Górny
2024-08-22 17:00 Andreas Sturmlechner
2024-08-23 19:25 Michał Górny
2024-08-23 19:25 Michał Górny
2024-08-25  0:49 Jason Zaman
2024-08-25 15:37 Andrew Ammerlaan
2024-08-26  6:34 Andreas Sturmlechner
2024-08-26 13:04 Ulrich Müller
2024-08-26 13:04 Ulrich Müller
2024-08-26 13:04 Ulrich Müller
2024-08-26 13:04 Ulrich Müller
2024-08-30 19:10 Andrew Ammerlaan
2024-08-30 19:43 Andrew Ammerlaan
2024-08-31  8:33 Michał Górny
2024-09-01  9:59 Miroslav Šulc
2024-09-01  9:59 Miroslav Šulc
2024-09-01  9:59 Miroslav Šulc
2024-09-01  9:59 Miroslav Šulc
2024-09-01 11:05 Sam James
2024-09-01 11:05 Sam James
2024-09-01 11:05 Sam James
2024-09-01 11:05 Sam James
2024-09-03  4:22 Ionen Wolkens
2024-09-03  8:58 Sam James
2024-09-03  9:40 Sam James
2024-09-04 20:33 Michał Górny
2024-09-05 12:10 Sam James
2024-09-07 18:21 Sam James
2024-09-07 18:23 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-08 18:21 Sam James
2024-09-09 18:20 Sam James
2024-09-10  6:46 Miroslav Šulc
2024-09-10  8:54 Michał Górny
2024-09-10 12:58 Michał Górny
2024-09-10 19:11 Miroslav Šulc
2024-09-11 22:21 Sam James
2024-09-12 22:08 Sam James
2024-09-17 11:58 Andrew Ammerlaan
2024-09-17 12:13 Michał Górny
2024-09-18 15:51 Sam James
2024-09-19 22:57 Sam James
2024-09-23 12:06 Ulrich Müller
2024-09-23 15:11 Michał Górny
2024-09-24  6:41 Michał Górny
2024-09-24 11:52 Sam James
2024-09-24 18:02 Michał Górny
2024-09-24 18:02 Michał Górny
2024-09-25  4:39 Michał Górny
2024-09-25  4:51 Ulrich Müller
2024-09-25 11:12 Sam James
2024-09-25 11:12 Sam James
2024-09-25 11:12 Sam James
2024-09-25 19:29 Eli Schwartz
2024-09-29  0:18 Sam James
2024-09-29  0:18 Sam James
2024-09-29  0:18 Sam James
2024-09-29  1:07 Sam James
2024-09-29  1:07 Sam James
2024-09-29  1:13 Sam James
2024-09-29  1:13 Sam James
2024-09-29 11:22 Sam James
2024-09-29 11:22 Sam James
2024-09-29 11:22 Sam James
2024-09-29 11:28 Sam James
2024-09-30  1:52 Sam James
2024-09-30  1:52 Sam James
2024-09-30  1:52 Sam James
2024-09-30  1:52 Sam James
2024-09-30  2:02 Sam James
2024-09-30  2:02 Sam James
2024-09-30  2:02 Sam James
2024-09-30  2:15 Sam James
2024-09-30  2:15 Sam James
2024-09-30  2:20 Sam James
2024-09-30  3:02 Sam James
2024-09-30  3:03 Sam James
2024-09-30  5:57 Sam James
2024-10-01  1:11 Sam James
2024-10-01  1:46 Sam James
2024-10-01  1:58 Sam James
2024-10-01  1:58 Sam James
2024-10-01  2:06 Sam James
2024-10-01  2:14 Sam James
2024-10-01  2:16 Sam James
2024-10-01  6:59 Sam James
2024-10-01  7:47 Sam James
2024-10-01 10:18 Sam James
2024-10-01 19:38 Eli Schwartz
2024-10-01 20:40 James Le Cuirot
2024-10-01 23:13 Eli Schwartz
2024-10-01 23:13 Eli Schwartz
2024-10-02  0:57 Sam James
2024-10-02  9:01 Miroslav Šulc
2024-10-02  9:01 Miroslav Šulc
2024-10-02  9:01 Miroslav Šulc
2024-10-02  9:01 Miroslav Šulc
2024-10-03  3:43 Sam James
2024-10-03  4:02 Sam James
2024-10-04 11:49 Sam James
2024-10-07  2:40 Sam James
2024-10-07  4:13 Sam James
2024-10-07  4:13 Sam James
2024-10-07  4:13 Sam James
2024-10-07  4:13 Sam James
2024-10-08  7:09 Florian Schmaus
2024-10-08 15:29 Ulrich Müller
2024-10-08 15:29 Ulrich Müller
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-08 15:32 David Seifert
2024-10-09 11:45 Michał Górny
2024-10-10 14:47 Andrew Ammerlaan
2024-10-15  7:17 Michał Górny
2024-10-15 13:13 Michał Górny
2024-10-16  4:54 Michał Górny
2024-10-16  4:54 Michał Górny
2024-10-16  4:54 Michał Górny
2024-10-16 16:13 Andreas Sturmlechner
2024-10-18 17:54 Ulrich Müller
2024-10-18 17:54 Ulrich Müller
2024-10-18 17:54 Ulrich Müller
2024-10-19 13:47 Ionen Wolkens
2024-10-21  9:32 Sam James
2024-10-23 12:18 Michał Górny
2024-10-29 13:01 Michał Górny
2024-10-29 23:22 Maciej Barć
2024-10-29 23:22 Maciej Barć
2024-10-30  2:27 Sam James
2024-10-30 11:43 Miroslav Šulc
2024-10-30 20:50 Sam James
2024-11-01  9:03 Michał Górny
2024-11-03  9:35 Sam James
2024-11-05 10:47 Florian Schmaus
2024-11-05 10:47 Florian Schmaus
2024-11-06 11:27 Sam James
2024-11-07  5:28 Michał Górny
2024-11-07  5:28 Michał Górny
2024-11-09  6:26 Matt Jolly
2024-11-09  6:26 Matt Jolly
2024-11-09  6:26 Matt Jolly
2024-11-09  7:21 Sam James
2024-11-09  7:31 Matt Jolly
2024-11-09  9:02 Matt Jolly
2024-11-09 10:50 Matt Jolly
2024-11-10 17:24 Sam James
2024-11-11  8:53 Matt Jolly
2024-11-11  8:53 Matt Jolly
2024-11-11 19:28 Sam James
2024-11-11 23:48 Matt Jolly
2024-11-11 23:48 Matt Jolly
2024-11-12  8:09 Andrew Ammerlaan
2024-11-12  9:09 Matt Jolly
2024-11-12 19:19 Sam James
2024-11-13  6:16 Matt Jolly
2024-11-13 18:21 Michał Górny
2024-11-13 19:22 Sam James
2024-11-14  0:36 Sam James
2024-11-17  5:27 Matt Jolly
2024-11-17  5:27 Matt Jolly
2024-11-18  9:28 Sam James
2024-11-18 11:11 Sam James
2024-11-18 16:44 Mike Gilbert
2024-11-18 19:32 Michał Górny
2024-11-19 14:50 Sam James
2024-11-19 15:01 Sam James
2024-11-20 12:05 Sam James
2024-11-20 12:15 Sam James
2024-11-20 12:20 Sam James
2024-11-20 12:37 Sam James
2024-11-22 19:25 Sam James
2024-11-23 13:15 Michał Górny
2024-11-24 19:01 Michał Górny
2024-11-26  1:45 Maciej Barć
2024-11-26  1:45 Maciej Barć
2024-11-26 17:28 Florian Schmaus
2024-11-29 21:18 Eli Schwartz
2024-11-29 21:18 Eli Schwartz
2024-11-29 21:18 Eli Schwartz
2024-11-30  5:10 Sam James
2024-11-30  5:10 Sam James
2024-11-30  7:17 Michał Górny
2024-11-30  7:17 Michał Górny
2024-12-01  8:53 Sam James
2024-12-01  9:25 Sam James
2024-12-01 12:12 Sam James
2024-12-02  8:46 Matt Jolly
2024-12-02  8:46 Matt Jolly
2024-12-04 11:33 Matt Jolly
2024-12-04 11:34 Matt Jolly
2024-12-06  5:10 Ionen Wolkens
2024-12-06  7:43 Miroslav Šulc
2024-12-06  7:43 Miroslav Šulc
2024-12-06  7:44 Miroslav Šulc
2024-12-06 11:33 Nowa Ammerlaan
2024-12-06 21:55 Sam James
2024-12-07 23:23 Sam James
2024-12-08  1:11 Sam James
2024-12-08 23:34 Matt Jolly
2024-12-08 23:34 Matt Jolly
2024-12-09 18:49 Ulrich Müller
2024-12-10  5:21 Ionen Wolkens
2024-12-11 11:52 Ionen Wolkens
2024-12-11 11:52 Ionen Wolkens
2024-12-11 11:52 Ionen Wolkens
2024-12-12  7:47 Sam James
2024-12-12  7:47 Sam James
2024-12-12  7:47 Sam James
2024-12-12 17:03 Florian Schmaus
2024-12-12 17:03 Florian Schmaus
2024-12-12 17:03 Florian Schmaus
2024-12-13 10:02 Florian Schmaus
2024-12-13 13:11 Hans de Graaff
2024-12-14 12:47 Sam James
2024-12-14 16:33 Sam James
2024-12-14 18:43 Sam James
2024-12-15  3:08 Sam James
2024-12-15  9:47 Sam James
2024-12-15 12:48 Sam James
2024-12-16  5:57 Michał Górny
2024-12-16 15:17 Sam James
2024-12-16 18:45 Ulrich Müller
2024-12-16 18:45 Ulrich Müller
2024-12-17 17:14 Sam James
2024-12-17 17:34 Sam James
2024-12-17 21:44 Andreas Sturmlechner
2024-12-17 22:14 Andreas Sturmlechner
2024-12-18  2:46 Sam James
2024-12-18  3:00 Matt Turner
2024-12-18  3:00 Matt Turner
2024-12-21 10:28 Michał Górny
2024-12-22  1:30 Sam James
2024-12-22  3:20 Matt Jolly
2024-12-22 19:41 Sam James
2024-12-23 17:10 Andreas Sturmlechner
2024-12-25 15:08 Hans de Graaff
2024-12-26 10:59 Sam James
2024-12-27 21:25 Michał Górny
2024-12-28 14:51 Sam James
2024-12-28 19:43 Alfredo Tupone
2024-12-29  9:22 Ulrich Müller
2024-12-30 11:35 Michał Górny
2024-12-30 11:35 Michał Górny
2024-12-30 11:35 Michał Górny
2024-12-30 11:35 Michał Górny
2024-12-30 11:35 Michał Górny
2024-12-30 11:35 Michał Górny
2024-12-30 11:35 Michał Górny
2024-12-30 11:35 Michał Górny
2024-12-30 11:35 Michał Górny
2024-12-30 11:35 Michał Górny
2025-01-01 10:06 James Le Cuirot
2025-01-01 15:45 Miroslav Šulc
2025-01-02 17:08 Michał Górny
2025-01-02 17:08 Michał Górny
2025-01-02 17:08 Michał Górny
2025-01-02 18:33 Sam James
2025-01-02 23:32 Sam James
2025-01-02 23:34 Sam James
2025-01-03  0:59 Sam James
2025-01-03 17:54 James Le Cuirot
2025-01-04 15:28 Michał Górny
2025-01-04 15:28 Michał Górny
2025-01-04 21:34 Sam James
2025-01-04 21:34 Sam James
2025-01-05 13:39 Nowa Ammerlaan
2025-01-05 13:39 Nowa Ammerlaan
2025-01-06 14:37 Nowa Ammerlaan
2025-01-06 20:25 Nowa Ammerlaan
2025-01-06 20:25 Nowa Ammerlaan
2025-01-06 20:25 Nowa Ammerlaan
2025-01-07 11:34 Miroslav Šulc
2025-01-08  2:18 Ionen Wolkens
2025-01-08  6:33 Joonas Niilola
2025-01-10 13:15 Michał Górny
2025-01-10 16:44 Nowa Ammerlaan
2025-01-11  8:10 Arthur Zamarin
2025-01-11 18:12 Michał Górny
2025-01-14  4:53 Sam James
2025-01-14 17:07 Maciej Barć
2025-01-15 14:39 Ulrich Müller
2025-01-15 19:38 Sam James
2025-01-16  8:21 Sam James
2025-01-16 14:06 Michał Górny
2025-01-18  8:21 Michał Górny
2025-01-18 15:09 Michał Górny
2025-01-18 23:51 Sam James
2025-01-18 23:51 Sam James
2025-01-18 23:51 Sam James
2025-01-19  1:16 Sam James
2025-01-20  9:44 Petr Vaněk
2025-01-20  9:44 Petr Vaněk
2025-01-21 23:13 Sam James
2025-01-22 19:15 Michał Górny
2025-01-22 19:15 Michał Górny
2025-01-25 13:33 Michał Górny
2025-01-28  7:22 Sam James
2025-01-28 12:15 Sam James
2025-01-29 23:22 Matt Jolly
2025-01-30  1:31 Sam James
2025-01-31 21:51 Michał Górny
2025-01-31 21:51 Michał Górny
2025-02-01  0:40 Ionen Wolkens
2025-02-01 13:14 Michał Górny
2025-02-05 20:37 Sam James
2025-02-06 16:40 Sam James
2025-02-07 18:04 Sam James
2025-02-07 18:33 Sam James
2025-02-08 11:51 Michał Górny
2025-02-09 19:13 Andreas Sturmlechner
2025-02-09 19:13 Andreas Sturmlechner
2025-02-09 19:13 Andreas Sturmlechner
2025-02-10  6:43 Sam James
2025-02-11  8:39 Sam James
2025-02-11 11:29 Michał Górny
2025-02-13  8:49 Patrick Lauer
2025-02-13 17:18 Ulrich Müller
2025-02-13 17:51 Sam James
2025-02-15  7:38 Michał Górny
2025-02-15  9:04 Hans de Graaff
2025-02-15  9:04 Hans de Graaff
2025-02-15  9:04 Hans de Graaff
2025-02-16 18:41 Mike Gilbert
2025-02-17 21:52 Mike Gilbert
2025-02-21  7:25 Petr Vaněk
2025-02-21 11:14 Arthur Zamarin
2025-02-21 11:14 Arthur Zamarin
2025-02-22 15:19 Michał Górny
2025-02-22 22:08 Matt Jolly
2025-02-25  9:16 Matt Jolly
2025-02-25 14:03 Michał Górny
2025-02-25 16:36 Florian Schmaus
2025-02-25 16:36 Florian Schmaus
2025-02-26  8:47 Ionen Wolkens
2025-02-26 22:05 Andreas Sturmlechner
2025-03-01 12:58 Michał Górny
2025-03-03 17:47 Nowa Ammerlaan
2025-03-03 17:47 Nowa Ammerlaan
2025-03-03 19:27 Sam James
2025-03-03 19:27 Sam James
2025-03-04 22:09 Sam James
2025-03-04 22:32 Andreas Sturmlechner
2025-03-04 22:32 Andreas Sturmlechner
2025-03-07  0:58 Sam James
2025-03-07  1:23 Sam James
2025-03-07  1:23 Sam James
2025-03-07  1:25 Sam James
2025-03-07 18:32 Sam James
2025-03-08 14:02 Arthur Zamarin
2025-03-08 14:02 Arthur Zamarin
2025-03-08 14:02 Arthur Zamarin
2025-03-08 14:02 Arthur Zamarin
2025-03-08 14:02 Arthur Zamarin
2025-03-08 16:59 Michał Górny
2025-03-10  1:55 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1468082227.28e082bab8a150597abb570f5a4bead7db0ff601.mjo@gentoo \
    --to=mjo@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox